#!/bin/bash

exercice_path=$1

otbcli_Segmentation -in ${exercice_path}/segmentation_small_xt_phr.tif -filter cc -filter.cc.expr "distance < 30" -mode raster -mode.raster.out solution/first_cc.tif uint32

otbcli_ColorMapping -in solution/first_cc.tif -out solution/first_cc_color_optimal.png uint8  -method optimal

otbcli_ColorMapping -in solution/first_cc.tif -out solution/first_cc_color_image.png uint8  -method image -method.image.in ${exercice_path}/segmentation_small_xt_phr.tif

otbcli_Segmentation -in ${exercice_path}/segmentation_small_xt_phr.tif -filter cc -filter.cc.expr "distance<30 or (intensity_p1>400 and intensity_p2 > 400 and distance<50) or(intensity_p1 >1000 and intensity_p2>1000 or (p1b4 <150 and p2b4<150))" -mode raster -mode.raster.out solution/second_cc.tif uint32

otbcli_ColorMapping -in solution/second_cc.tif -out solution/second_cc_color_optimal.png uint8  -method optimal

otbcli_ColorMapping -in solution/second_cc.tif -out solution/second_cc_color_image.png uint8  -method image -method.image.in ${exercice_path}/segmentation_small_xt_phr.tif

otbcli_Segmentation -in ${exercice_path}/segmentation_small_xt_phr.tif -filter meanshift -filter.meanshift.ranger 30 -mode raster -mode.raster.out solution/meanshift.tif uint32

otbcli_ColorMapping -in solution/meanshift.tif -out solution/meanshift_color_optimal.png uint8  -method optimal

otbcli_ColorMapping -in solution/meanshift.tif -out solution/meanshift_color_image.png uint8  -method image -method.image.in ${exercice_path}/segmentation_small_xt_phr.tif

otbcli_Segmentation -in ${exercice_path}/segmentation_small_xt_phr.tif -filter watershed -mode raster -mode.raster.out solution/watershed.tif uint32
otbcli_ColorMapping -in solution/watershed.tif -out solution/watershed_color_optimal.png uint8  -method optimal
otbcli_ColorMapping -in solution/watershed.tif -out solution/watershed_color_image.png uint8  -method image -method.image.in ${exercice_path}/segmentation_small_xt_phr.tif

#otbcli_Segmentation -in segmentation_large_xt_phr.tif -filter meanshift -filter.meanshift.ranger 30 -mode raster -mode.raster.out meanshift.tif uint32

otbcli_Segmentation -in ${exercice_path}/segmentation_large_xt_phr.tif -filter meanshift -filter.meanshift.ranger 30 -mode vector -mode.vector.out solution/meanshift_nostitch.sqlite -mode.vector.stitch 0

otbcli_Segmentation -in ${exercice_path}/segmentation_large_xt_phr.tif -filter meanshift -filter.meanshift.ranger 30 -mode vector -mode.vector.out solution/meanshift_stitch.sqlite -mode.vector.stitch 1
